import React from 'react';
import { useNavigate } from 'react-router-dom';
import ProductRow from "./ProductRow";
import PropTypes from "prop-types";

const CategoryList = ({ className = "" }) => {
  const navigate = useNavigate();

  const handleNavigation = (path) => {
    navigate(path);
  };

  return (
    <div
      className={`w-full bg-primary overflow-y-auto flex flex-row items-start justify-start gap-[3px] leading-[normal] tracking-[normal] text-center text-29xl text-primary1 font-button mq1100:flex-wrap ${className}`}
    >
      <div className="flex flex-col items-start justify-start py-0 pr-[33px] pl-0">
        <div className="overflow-hidden flex flex-col items-start justify-start pt-4 px-5 pb-[50px] gap-[235.5px] mq450:pb-[21px] mq450:box-border mq1025:pt-5 mq1025:pb-8 mq1025:box-border">
          <div className="flex flex-col items-start justify-start gap-[146.5px]">
            <div className="w-10 h-[147px] relative">
              <img
                className="absolute h-[27.21%] w-full top-[0%] right-[0%] bottom-[72.79%] left-[0%] max-w-full overflow-hidden max-h-full"
                loading="lazy"
                alt=""
                src="/brooks-logo.svg"
              />
              <div className="absolute top-[70px] left-[calc(50%_-_20px)] w-10 h-[77px] hidden">
                <div className="absolute top-[0px] left-[0px] w-full h-full hidden">
                  <div className="absolute top-[0px] left-[0px] rounded-[50px] box-border w-full h-full border-[1px] border-solid border-secondary-accent" />
                  <div className="absolute top-[40px] left-[3px] rounded-[50%] bg-secondary-accent w-[34px] h-[34px]" />
                </div>
              </div>
            </div>
            <div className="flex flex-row items-start justify-start py-0 pr-2 pl-[7px]">
              <div className="flex flex-col items-start justify-start gap-[70px]">
                <img
                  className="w-[25px] h-[25px] relative overflow-hidden shrink-0 cursor-pointer"
                  loading="lazy"
                  alt="Home"
                  src="/home-icon.svg"
                  onClick={() => handleNavigation('/home')}
                />
                <img
                  className="w-[25px] h-[25px] relative overflow-hidden shrink-0 cursor-pointer"
                  loading="lazy"
                  alt="Categories"
                  src="/category-icon.svg"
                  onClick={() => handleNavigation('/categories')}
                />
                <img
                  className="w-[25px] h-[25px] relative overflow-hidden shrink-0 cursor-pointer"
                  loading="lazy"
                  alt="Customer List"
                  src="/customer-list-icon.svg"
                  onClick={() => handleNavigation('/customers')}
                />
                <img
                  className="w-[25px] h-[25px] relative overflow-hidden shrink-0 cursor-pointer"
                  loading="lazy"
                  alt="Orders"
                  src="/orders-icon.svg"
                  onClick={() => handleNavigation('/employee/create-order')}
                />
                <img
                  className="w-[25px] h-[25px] relative overflow-hidden shrink-0 cursor-pointer"
                  loading="lazy"
                  alt="Account"
                  src="/account-icon.svg"
                  onClick={() => handleNavigation('/account')}
                />
              </div>
            </div>
          </div>
          <div className="flex flex-row items-start justify-start py-0 px-2">
            <div className="flex flex-col items-start justify-start">
              <img
                className="w-6 h-6 relative overflow-hidden shrink-0 cursor-pointer"
                loading="lazy"
                alt="Logout"
                src="/materialsymbolslogout.svg"
                onClick={() => handleNavigation('/logout')}
              />
            </div>
          </div>
        </div>
      </div>
      <div className="flex flex-col items-start justify-start pt-[46px] px-0 pb-0">
        <div className="relative leading-[53px] lowercase font-semibold mq450:text-10xl mq450:leading-[32px] mq1025:text-19xl mq1025:leading-[42px]">
          categories
        </div>
      </div>
      <div className="w-[820px] flex flex-col items-start justify-start pt-[135px] px-0 pb-0 box-border max-w-full mq750:pt-[57px] mq750:box-border mq1025:pt-[88px] mq1025:box-border">
        <div className="self-stretch h-[820px] overflow-y-auto shrink-0 flex flex-row flex-wrap items-start justify-start p-5 box-border relative gap-[80px_76px]">
          <ProductRow image17="/image-17@2x.png" shirts="Shirts" />
          <ProductRow
            image17="/image-18@2x.png"
            shirts="Suits"
            propLeft="450px"
            propTop="20px"
          />
          <ProductRow
            image17="/image-6@2x.png"
            shirts="Tuxedos"
            propLeft="20px"
            propTop="450px"
          />
          <ProductRow
            image17="/image-28@2x.png"
            shirts="jackets"
            propLeft="450px"
            propTop="450px"
          />
          
        </div>
      </div>
    </div>
  );
};

CategoryList.propTypes = {
  className: PropTypes.string,
};

export default CategoryList;
