import React from 'react';
import { Button, Input, Form } from 'antd';
import { Link } from 'react-router-dom';
import axios from 'axios';
import Sidebar from '../sidebar/Sidebar';
import '../../styles/CustomerMeasurements.css';


const CustomerMeasurements = () => {
  const onFinish = async (values) => {
    const token = localStorage.getItem('token'); // Assuming the token is stored in localStorage

    try {
      const response = await axios.post('http://localhost:5000/measurements', values, {
        headers: {
          Authorization: `Bearer ${token}`,
        },
      });

      console.log(response.data);
    } catch (error) {
      console.error('Error saving measurements:', error);
    }
  };

  return (
    <div className="container">
      <Sidebar />
      <div className="content">
        <div className="form-container">
          <div className="header">
            <h1 className="text-2xl font-semibold text-[#0e355b]">Customer Measurements</h1>
            <Link to="/CategoryList" className="skip-link">Skip for now</Link>
          </div>
          <Form onFinish={onFinish} className="form">
            <h2 className="section-title">Upper Body Measurements</h2>
            <Form.Item name="neck" label="Neck Circumference (in inch)">
              <Input className="input" />
            </Form.Item>
            <Form.Item name="chest" label="Chest Circumference (in inch)">
              <Input className="input" />
            </Form.Item>
            <Form.Item name="waist" label="Waist Circumference (in inch)">
              <Input className="input" />
            </Form.Item>
            <Form.Item name="shoulder" label="Shoulder Width (in inch)">
              <Input className="input" />
            </Form.Item>
            <Form.Item name="arm" label="Arm Length (in inch)">
              <Input className="input" />
            </Form.Item>
            <Form.Item name="sleeve" label="Sleeve Length (in inch)">
              <Input className="input" />
            </Form.Item>

            <h2 className="section-title">Lower Body Measurements</h2>
            <Form.Item name="hip" label="Hip Circumference (in inch)">
              <Input className="input" />
            </Form.Item>
            <Form.Item name="inseam" label="Inseam (in inch)">
              <Input className="input" />
            </Form.Item>
            <Form.Item name="outseam" label="Outseam (in inch)">
              <Input className="input" />
            </Form.Item>
            <Form.Item name="thigh" label="Thigh Circumference (in inch)">
              <Input className="input" />
            </Form.Item>
            <Form.Item name="ankle" label="Ankle Circumference (in inch)">
              <Input className="input" />
            </Form.Item>
            <Form.Item>
              <div className="button-container">
                <Button type="primary" htmlType="submit" className="submit-button">
                  Save Measurements
                </Button>
              </div>
            </Form.Item>
          </Form>
        </div>
      </div>
    </div>
  );
};

export default CustomerMeasurements;
